SDL_ThreadID(3type)

NAME
SDL_ThreadID - A unique numeric ID that identifies a thread.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef Uint64 SDL_ThreadID;

DESCRIPTION
These are different from SDL_Thread
 objects, which are generally what an application will operate on, but having a way to uniquely identify a thread can be useful at times.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetThreadID(3), •(3), SDL_GetCurrentThreadID(3)